跳转到内容

模板:Tabs/收纳表/styles.css:修订间差异

来自SS唯基
Tokur233留言 | 贡献
无编辑摘要
标签已被回退
Tokur233留言 | 贡献
无编辑摘要
标签已被回退
第1行: 第1行:
/* [[Category:CSS页面]] */
/*分页tabs*/
/* 沒有前綴的給叫 stgt 的 class */
.tabs-container {
/*
    width: 100%;
.stgt {
    margin-bottom: 20px;
  width: auto;
}
}


.sitm {
.tabs-pages {
  width: 35%;
    display: flex;
  display:inline-block;
    list-style: none;
  white-space: normal;
    background-color: #e2e9f6;
    border-radius: 4px;
}
}


.stab {
.tab:focus,
  white-space: nowrap;
.tab:hover {
  overflow:auto;
    cursor: pointer;
  display:block;
  flex-wrap: wrap;
}
}
*/


/*收纳表模版开始*/
.tab {
.stgt {
    padding: 0.5em 1em;
     width: 95%;
     color: #244786;
     max-width:100%;
     font-size: 16px;
     box-sizing: border-box;
     margin: 0 0 0 1em;
}
}
.stgt.hori {
 
     display: flex;
.tab:hover {
     background-color: #a4c2f8;
}
}
.stab {
 
overflow-x:auto;
.tab.active {
    display:  flex;
     background-color: #c3d8fc;
    flex-wrap:nowrap;
    overflow-y:hidden;
    padding:  1%;
    gap:      4px;
     max-width:100%;
}
}
.mw-body-content .stab{
 
flex-wrap:wrap!important;
.tabs-contents {
 
    width: 100%;
    height: auto;
}
}
.stab.hori {
 
     display:     inline-grid;
.tab-c {
     height:     400px;
     display: none;
     overflow-y: auto;
     width: 100%;
    width:      20%;
     height: auto;
}
}
.sitm {
 
flex: 0 0 auto;
.tab-c.active {
width:auto;
    display: block;
min-width:10px;
margin:0!important;
display:inline-block;
    font-weight:  700;
}
}
.ctab {
 
     margin:       0;
.inner-content {
     padding:     1%;
     padding: .5em;
     margin-left: 0;
    column-count: 3;
     width:       inherit;
     border: solid #e2e9f6;
     border-radius: 4px;
     border-width: 0 3px 3px;
}
}
.ctab.hori {
    display:    inline-grid;
    height:    400px;
    overflow-y: auto;
    width:      60%;
}
/*收纳表模版结束*/


.tabs-container {
/*分页tabs结束*/
  width: 100%;
 
  margin-bottom:20px;
}


.tabs-pages {
  display: flex !important;
  list-style:none;
  background-color:#e2e9f6;
  border-radius:4px;
}


.tab:focus,
/*收纳表模版开始*/
.tab:hover {
.stgt {
  cursor: pointer;
    width: 95%;
}
}


.tab {
.stgt.hori {
  padding: 0.5em 1em;
    display: flex;
  color: #244786;
  font-size:16px;
  margin:0 0 0 1em;
}
}


.tab:hover {
.stab {
  background-color: #a4c2f8;
    display: grid;
    margin: 0;
    padding: 1%;
    gap: 6px;
    width: inherit;
}
}


.tab.active {
.stab.hori {
  background-color: #c3d8fc;
    display: inline-grid;
    height: 400px;
    overflow-y: auto;
    width: 20%;
}
}


.tabs-contents {
.sitm {
 
    margin: 0;
  width: 100%;
    padding: 0;
  height: auto;
    font-weight: 700;
}
}


.tab-c {
.ctab {
  display: none;
    margin: 0;
  width: 100%;
    padding: 1%;
  height: auto;
    margin-left: 0;
    width: inherit;
}
}


.tab-c.active {
.ctab.hori {
  display: block;
    display: inline-grid;
    height: 400px;
    overflow-y: auto;
    width: 60%;
}
}


.inner-content {
/*收纳表模版结束*/
  padding: .5em;
  column-count:3;
  border:solid #e2e9f6;
  border-radius:4px;
  border-width:0 3px 3px;
}

2026年2月20日 (五) 12:25的版本

/*分页tabs*/
.tabs-container {
    width: 100%;
    margin-bottom: 20px;
}

.tabs-pages {
    display: flex;
    list-style: none;
    background-color: #e2e9f6;
    border-radius: 4px;
}

.tab:focus,
.tab:hover {
    cursor: pointer;
}

.tab {
    padding: 0.5em 1em;
    color: #244786;
    font-size: 16px;
    margin: 0 0 0 1em;
}

.tab:hover {
    background-color: #a4c2f8;
}

.tab.active {
    background-color: #c3d8fc;
}

.tabs-contents {

    width: 100%;
    height: auto;
}

.tab-c {
    display: none;
    width: 100%;
    height: auto;
}

.tab-c.active {
    display: block;
}

.inner-content {
    padding: .5em;
    column-count: 3;
    border: solid #e2e9f6;
    border-radius: 4px;
    border-width: 0 3px 3px;
}

/*分页tabs结束*/



/*收纳表模版开始*/
.stgt {
    width: 95%;
}

.stgt.hori {
    display: flex;
}

.stab {
    display: grid;
    margin: 0;
    padding: 1%;
    gap: 6px;
    width: inherit;
}

.stab.hori {
    display: inline-grid;
    height: 400px;
    overflow-y: auto;
    width: 20%;
}

.sitm {
    margin: 0;
    padding: 0;
    font-weight: 700;
}

.ctab {
    margin: 0;
    padding: 1%;
    margin-left: 0;
    width: inherit;
}

.ctab.hori {
    display: inline-grid;
    height: 400px;
    overflow-y: auto;
    width: 60%;
}

/*收纳表模版结束*/